<template>
  <div class="page-view">
    <el-pagination
      :current-page="pagerOptions.currPage"
      :page-sizes="pageSizes"
      :page-size="pagerOptions.pageSize"
      :layout="layout"
      :total="pagerOptions.totalCount"
      v-on="$listeners"
    >
    </el-pagination>
  </div>
</template>

<script>
export default {
  name: "PagerView",
  props: {
    pageSizes: {
      type: Array,
      default: () => [5, 10, 20, 30, 40]
    },
    layout: {
      type: String,
      default: "total, sizes, prev, pager, next"
    },
    pagerOptions: {
      type: Object,
      default: () => {
        return {
          currPage: 1,
          pageSize: 10,
          totalCount: 0
        }
      }
    }
  },
  data() {
    return {}
  },
  methods: {}
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" scoped>
.page-view {
  margin-top: 10px;
}
</style>
